from django.utils.translation import ugettext_lazy as _
from admin_tools.dashboard import modules

class NewsletterDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Newsletters"),
            'display': "tabs",
            'children': [
                NewsletterModels(),
                NewsletterSettings(),
                ]
        }
        super(NewsletterDashboard, self).__init__(**kwargs)

class NewsletterModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Models"),
            'models': (
                'newsletter.models.Newsletter',
                'newsletter.models.MailingList',
                'newsletter.models.Contact'
                ),
            }
        super(NewsletterModels, self).__init__(**kwargs)

class NewsletterSettings(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs =  {
            'title': _("Settings"),
            'models':['newsletter.models.Settings',],
            }
        super(NewsletterSettings, self).__init__(**kwargs)