from django.db.models.loading import get_model
from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from django.conf import settings
from django.contrib import admin

from admin_tools.menu import items, Menu
from jmb.core.conf.admin_menu import GenericMenuItem # manca in jmb.core
from jmb.core.middleware.thread_local import get_current_user


def get_root_menu(children):
    user = get_current_user()

    if user.has_perm("newsletter.view_newsletter") and get_model("newsletter", "newsletter") in admin.site._registry:
        root_menu = items.MenuItem(
            title=_('Newsletter'),
            children=[],
            url = reverse('admin:newsletter_newsletter_changelist')
        )
        children.append(root_menu)
    return None

def add_extended_menuitems(children, current_app):
    generic_menu = GenericMenuItem(current_app, ['newsletter', 'mailinglist', 'contact'])
    mailer_menu = generic_menu.get_menu()
    [ children.append(menu) for menu in mailer_menu ]