"""Command for sending the newsletter"""
from django.conf import settings
from django.utils.translation import activate
from django.core.management.base import NoArgsCommand

from jmb.newsletter.models import Newsletter
from jmb.newsletter.sender import Mailer

class Command(NoArgsCommand):
    """Send the newsletter in queue"""
    help = 'Send the newsletter in queue'

    def handle_noargs(self, **options):
        verbose = int(options['verbosity'])

        if verbose:
            print 'Starting sending newsletters...'

        activate(settings.LANGUAGE_CODE)

        for newsletter in Newsletter.objects.exclude(
            status=settings.NEWSLETTER_STATUS_DRAFT).exclude(status=settings.NEWSLETTER_STATUS_SENT):
            mailer = Mailer(newsletter, verbose=verbose)
            if mailer.can_send:
                if verbose:
                    print 'Start emailing %s' % newsletter.title
                mailer.run()
            newsletter.status = settings.NEWSLETTER_STATUS_SENT
            newsletter.save()
        if verbose:
            print 'End session sending'
