# -*- coding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _

#: templates list to be in newsletter list plugins
NEWSLETTER_LIST_CMSPLUGIN_TEMPLATES = (
    ("newsletter/cms_plugins/newsletter_list.html", _("Newsletter list"),),
)

#: newsletter status
NEWSLETTER_STATUS_DRAFT = 0
NEWSLETTER_STATUS_WAITING = 1
NEWSLETTER_STATUS_SENDING = 2
NEWSLETTER_STATUS_SENT = 4
NEWSLETTER_STATUS_CANCELED = 5

#: newsletter status choices
NEWSLETTER_STATUS_CHOICES = (
    (NEWSLETTER_STATUS_DRAFT, _('draft')),
    (NEWSLETTER_STATUS_WAITING, _('waiting sending')),
    (NEWSLETTER_STATUS_SENDING, _('sending')),
    (NEWSLETTER_STATUS_SENT, _('sent')),
    (NEWSLETTER_STATUS_CANCELED, _('canceled')),
)

#: newsletter templates path
NEWSLETTER_TEMPLATE_PATH = "newsletter"

NEWSLETTER_SETTINGS_TYPE = (
    ("BOOLEAN", "BOOLEAN"),
    ("INTEGER", "INTEGER"),
    ("LIST", "LIST"),
    ("STRING", "STRING"),
)

#: subscription forms list to be used in subscription plugins
NEWSLETTER_CMSPLUGIN_SUBSCRIPTION_FORM_CLASSES = (
    ("jmb.newsletter.forms.MailingListSubscriptionForm", _("Mailing list Subscription Form"),),
)

#: subscription templates list to be used in subscription plugins
NEWSLETTER_CMSPLUGIN_SUBSCRIPTION_FORM_TEMPLATES = (
    ("newsletter/cms_plugins/subscription_form.html", _("Subscription Form"),),
)

#: subscription thanks templates list to be used in subscription plugins
NEWSLETTER_CMSPLUGIN_SUBSCRIPTION_THANKS_TEMPLATES = (
    ("newsletter/cms_plugins/subscription_thanks.html", _("Subscription Thanks"),),
)

#: subscription email templates list to be used in subscription plugins
NEWSLETTER_CMSPLUGIN_SUBSCRIPTION_EMAIL_TEMPLATES = (
    ("newsletter/cms_plugins/subscription_email.html", _("Subscription Email"),),
)

#: unsubscription forms list to be used in subscription plugins
NEWSLETTER_CMSPLUGIN_UNSUBSCRIPTION_FORM_CLASSES = (
    ("jmb.newsletter.forms.MailingListUnsubscriptionForm", _("Mailing list Unsubscription Form"),),
)


NEWSLETTER_CMSPLUGIN_UNSUBSCRIPTION_FORM_TEMPLATES = (
    ("newsletter/cms_plugins/unsubscription_form.html", _("Unsubscription Form"),),
    )
NEWSLETTER_CMSPLUGIN_UNSUBSCRIPTION_THANKS_TEMPLATES = (
    ("newsletter/cms_plugins/unsubscription_thanks.html", _("Unsubscription Thanks"),),
    )
NEWSLETTER_CMSPLUGIN_UNSUBSCRIPTION_EMAIL_TEMPLATES = (
    ("newsletter/cms_plugins/unsubscription_email.html", _("Unsubscription Email"),),
    )

NEWSLETTER_NEWSLETTER_TEMPLATE_DEFAULT = "template.html"

NEWSLETTER_CMSPLUGIN_SEARCH_TEMPLATES = (
    ("newsletter/cms_plugins/search.html", _("Search form"),),
)

NEWSLETTER_CMSPLUGIN_SEARCH_FORM_CLASSES = (
    ("jmb.newsletter.forms.SearchNewsletterForm", _("Search newsletter form"),),
)
